// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "MFC_INHERITAGE.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif



// CChildView

CChildView::CChildView()
{
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView, CWnd)
	ON_WM_PAINT()
	ON_WM_LBUTTONDOWN()
	ON_WM_RBUTTONDOWN()
	ON_COMMAND(ID_CONTROL_CLEAR, &CChildView::OnControlClear)
END_MESSAGE_MAP()



// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), reinterpret_cast<HBRUSH>(COLOR_WINDOW+1), NULL);

    // GlobalArray = (CPoint **) malloc(sizeof(CPoint*)*GlobalNum);
	GlobalArray = new Rect* [GlobalNum];

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	for (int i=0; i<GlobalPoint; i++) GlobalArray[i]->Paint(dc);
}


void CChildView::OnLButtonDown(UINT nFlags, CPoint point)
{
	CWnd::OnLButtonDown(nFlags, point);

	if (GlobalPoint<GlobalNum)
		GlobalArray[GlobalPoint++]=new Rect(point.x,point.y,rand()%20+5,RGB(0,0,255));
	
	this->Invalidate(0);
}

void CChildView::OnRButtonDown(UINT nFlags, CPoint point)
{
	CWnd::OnRButtonDown(nFlags, point);
	if (GlobalPoint<GlobalNum)
		GlobalArray[GlobalPoint++]=new Circ(point.x,point.y,rand()%20+5,RGB(255,0,0));
	this->Invalidate(0);

}

void CChildView::OnControlClear()
{
    for (int i=0; i<GlobalPoint; i++) delete GlobalArray[i];
	GlobalPoint=0;
	this->Invalidate(1);
}
